%global __requires_exclude python-gi

Summary:	D-Bus Python Bindings
Name:		dbus-python
Version:	1.2.0
Release:	%mkrel 12
URL:		http://www.freedesktop.org/wiki/Software/DBusBindings
Source0:	http://dbus.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Source1:	http://dbus.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz.asc
Patch0:		dbus-python-1.2.0-link.patch
License:	MIT
Group:		Development/Python
BuildRequires:	pkgconfig(dbus-1) >= 1.6
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.70
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python-gobject3
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	dbus-x11

%description
D-Bus python bindings for use with python programs.

%package -n python-dbus
Summary: D-Bus Python Bindings
Group: Development/Python
Obsoletes: %{name} < %{version}-%{release}
Provides: %{name} = %{version}-%{release}
Requires: dbus >= 1.6
Requires: python-gi

%description -n python-dbus
D-Bus python bindings for use with python programs.

%package -n python3-dbus
Summary: D-Bus Python3 Bindings
Group: Development/Python
Obsoletes: dbus-python3 < %{version}-%{release}
Provides: dbus-python3 = %{version}-%{release}
Requires: dbus >= 1.6
Requires: python3-gobject3

%description -n python3-dbus
D-Bus python bindings for use with python3 programs.

%package -n python-dbus-devel
Summary: Development files for python-dbus and python3-dbus
Group: Development/Python
Requires: python-dbus = %{version}
Conflicts: python-dbus < 1.2.0-2

%description -n python-dbus-devel
Header files for python-dbus and python3-dbus.

%prep
%setup -q
%apply_patches

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
autoreconf -fi
%configure2_5x --disable-api-docs PYTHON=%{__python}
%make

pushd %{py3dir}
autoreconf -fi
%configure2_5x --disable-api-docs PYTHON=%{__python3}
%make
popd

%install
%makeinstall_std

pushd %{py3dir}
%makeinstall_std
popd

#remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/dbus-python
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%check
make check

pushd %{py3dir}
make check
popd

%files -n python-dbus
%doc README NEWS doc/*.txt
%{py_puresitedir}/dbus*
%{py_platsitedir}/_dbus_*

%files -n python3-dbus
%doc README NEWS doc/*.txt
%{py3_puresitedir}/dbus*
%{py3_platsitedir}/_dbus_*

%files -n python-dbus-devel
%{_includedir}/dbus-1.0/dbus/*.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-12.mga5
+ Revision: 743829
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.0-11.mga5
+ Revision: 726077
- rebuild for missing pythoneggs deps

* Thu Sep 18 2014 umeabot <umeabot> 1.2.0-10.mga5
+ Revision: 693733
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-9.mga5
+ Revision: 678687
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Sun Sep 14 2014 joequant <joequant> 1.2.0-8.mga5
+ Revision: 675215
- rebuild for dependencies

* Sat May 31 2014 pterjan <pterjan> 1.2.0-7.mga5
+ Revision: 629669
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.2.0-6.mga5
+ Revision: 628152
- Rebuild for new Python

* Sat Oct 19 2013 umeabot <umeabot> 1.2.0-5.mga4
+ Revision: 528991
- Mageia 4 Mass Rebuild

* Sun Jun 30 2013 fwang <fwang> 1.2.0-4.mga4
+ Revision: 448480
- expand dbus version
- update pkgname for py3gi
- filter python-gi requires
- conver br into pkgconfig style

* Sun Jun 30 2013 fwang <fwang> 1.2.0-3.mga4
+ Revision: 448473
- link with python lib always
- add conflicts to ease upgrading

* Sat Jun 29 2013 philippem <philippem> 1.2.0-2.mga4
+ Revision: 448231
- add Python3

* Fri May 24 2013 luigiwalser <luigiwalser> 1.2.0-1.mga4
+ Revision: 426772
- 1.2.0

* Fri Jan 11 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 348649
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 luigiwalser <luigiwalser> 1.1.1-1.mga3
+ Revision: 342927
- BR dbus-x11 for make check
- 1.1.1
- bump dbus version requirement (upstream recommendation)
- remove ununsed and incorrect linkage patch
- add make check
- BR python-gobject3 for make check
- remove .la files

* Sun Jun 19 2011 kharec <kharec> 0.84.0-1.mga2
+ Revision: 109634
- new version 0.84.0
- update patch0 name

* Sun Jan 16 2011 misc <misc> 0.83.2-3.mga1
+ Revision: 20608
- rebuild for new python

* Thu Jan 13 2011 ahmad <ahmad> 0.83.2-2.mga1
+ Revision: 8551
- drop unused patch
- imported package dbus-python


* Fri Dec 03 2010 Götz Waschk <waschk@mandriva.org> 0.83.2-1mdv2011.0
+ Revision: 606072
- new version
- disable generation of API docs

* Sat Oct 30 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.83.1-2mdv2011.0
+ Revision: 590654
- rebuild for new python 2.7

* Fri Feb 19 2010 Frederic Crozat <fcrozat@mandriva.com> 0.83.1-1mdv2011.0
+ Revision: 508014
- Release 0.83.0
- Remove patch0 (merged upstream)

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.83.0-5mdv2010.0
+ Revision: 413339
- rebuild

* Mon Jan 26 2009 Funda Wang <fwang@mandriva.org> 0.83.0-4mdv2009.1
+ Revision: 333692
- add patch from https://bugs.freedesktop.org/show_bug.cgi?id=17551
- fix linkage

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.83.0-3mdv2009.1
+ Revision: 318619
- rebuild for python 2.6
- correct source locations

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 0.83.0-2mdv2009.1
+ Revision: 318618
- rebuild for new python

  + Götz Waschk <waschk@mandriva.org>
    - fix URL

* Thu Jul 24 2008 Frederic Crozat <fcrozat@mandriva.com> 0.83.0-1mdv2009.0
+ Revision: 245078
- Release 0.83.0

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.82.4-3mdv2009.0
+ Revision: 220575
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0.82.4-2mdv2008.1
+ Revision: 148503
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- do not package big ChangeLog

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 11 2007 Frederic Crozat <fcrozat@mandriva.com> 0.82.4-1mdv2008.1
+ Revision: 117363
- Release 0.82.4

* Mon Oct 22 2007 Jérôme Soyer <saispo@mandriva.org> 0.82.3-1mdv2008.1
+ Revision: 101074
- New release 0.82.3

* Tue Aug 21 2007 David Walluck <walluck@mandriva.org> 0.82.2-2mdv2008.0
+ Revision: 68140
- change package name to python-dbus

* Thu Aug 02 2007 Frederic Crozat <fcrozat@mandriva.com> 0.82.2-1mdv2008.0
+ Revision: 58015
- Release 0.82.2

* Thu Jul 12 2007 Frederic Crozat <fcrozat@mandriva.com> 0.82.1-1mdv2008.0
+ Revision: 51501
- Release 0.82.1

* Fri Jun 15 2007 Funda Wang <fwang@mandriva.org> 0.81.1-1mdv2008.0
+ Revision: 39842
- New version

* Wed May 23 2007 Frederic Crozat <fcrozat@mandriva.com> 0.81.0-2mdv2008.0
+ Revision: 30112
- disable autorequire on pkgconfig .pc file, it forces dbus-devel dependency

* Wed May 09 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.81.0-1mdv2008.0
+ Revision: 25629
- New version


* Thu Feb 15 2007 Frederic Crozat <fcrozat@mandriva.com> 0.80.2-1mdv2007.0
+ Revision: 121294
-Release 0.80.2

  + Nicolas Lécureuil <neoclust@mandriva.org>

* Thu Jan 25 2007 Frederic Crozat <fcrozat@mandriva.com> 0.80.1-1mdv2007.1
+ Revision: 113404
-Fix x86-64 build
-Release 0.80.1

* Thu Dec 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.71-5mdv2007.1
+ Revision: 97022
- fix dependencies, as pyrex is now python-pyrex

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 0.71-4mdv2007.1
+ Revision: 88194
- Import dbus-python

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 0.71-4mdv2007.1
- update file list

* Thu Aug 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.71-3mdv2007.0
- fix group

* Sat Aug 05 2006 Götz Waschk <waschk@mandriva.org> 0.71-2mdv2007.0
- fix buildrequires

* Tue Aug 01 2006 Frederic Crozat <fcrozat@mandriva.com> 0.71-1mdv2007.0
- Initial mandriva package (based on fedora)

